@extends('layout')

@section('title')
    Загрузки - Новые файлы (Стр. {{ $page->current }})
@stop

@section('content')
    <h1>Новые файлы</h1>
<div class="down-wrapp">
    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i></a></li>
            <li class="breadcrumb-item"><a href="/loads">Загрузки</a></li>
            <li class="breadcrumb-item active">Новые файлы</li>
        </ol>
    </nav>

    @if ($downs->isNotEmpty())
        @foreach ($downs as $down)
            <?php $rating = $down->rated ? round($down->rating / $down->rated, 1) : 0; ?>

            <div class="new-main-files">
            <ul>
                <li><a href="/downs/{{ $down->id }}"><span class="icon"><img src="/themes/Whiteblack/img/new.png" alt="icon"></span>{{ $down->title }} ({{ $down->count_comments }})</a></li> 
            </ul>
            <div class="new-main-bottom">
                <span class="links"><a href="/loads/{{ $down->category->id }}">Категория:  {{ $down->category->name }}</a></span>
                <span>Рейтинг: {{ $rating }}</span>
                <span>Скачиваний: {{ $down->loads }}</span>
                <span>Автор: {!! $down->user->getProfile() !!} ({{ dateFixed($down->created_at) }})</span>
            </div>
    </div>

        @endforeach

        {!! pagination($page) !!}
    @else
        {!! showError('Опубликованных файлов еще нет!') !!}
    @endif
    </div>
@stop
